> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization

> Get organization details. Must be a member.



## OpenAPI

````yaml /openapi.json get /api/organizations/{org_id}
openapi: 3.1.0
info:
  description: >-
    Public CodeCobra API. Authenticate by sending a personal API key in the
    `Authorization: Bearer <key>` header. Generate keys from Settings → API keys
    in the CodeCobra dashboard.
  title: CodeCobra Public API
  version: 1.0.0
servers: []
security: []
paths:
  /api/organizations/{org_id}:
    get:
      tags:
        - public
      summary: Get Organization
      description: Get organization details. Must be a member.
      operationId: get_organization_api_organizations__org_id__get
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            format: uuid
            title: Org Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    OrganizationResponse:
      properties:
        account_balance:
          default: 0
          title: Account Balance
          type: number
        color:
          anyOf:
            - type: string
            - type: 'null'
          default: '#3B82F6'
          title: Color
        created_at:
          format: date-time
          title: Created At
          type: string
        default_team_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Default Team Id
        github_account_login:
          anyOf:
            - type: string
            - type: 'null'
          title: Github Account Login
        github_connected:
          default: false
          title: Github Connected
          type: boolean
        icon:
          anyOf:
            - type: string
            - type: 'null'
          default: Building2
          title: Icon
        id:
          format: uuid
          title: Id
          type: string
        member_count:
          default: 0
          title: Member Count
          type: integer
        my_role:
          anyOf:
            - type: string
            - type: 'null'
          title: My Role
        name:
          title: Name
          type: string
        require_2fa:
          default: false
          title: Require 2Fa
          type: boolean
        require_2fa_set_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Require 2Fa Set At
        share_owner_github:
          default: false
          title: Share Owner Github
          type: boolean
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - name
        - created_at
        - updated_at
      title: OrganizationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````